Get token metadata

/v4/data/metadata

10 credits per API call

Note for v3 API users:

As part of our documentation consolidation, we removed the dedicated page for GET /v3/data/metadata. Users can refer to GET /v4/data/metadata for the latest documentation, as both endpoints function the same—simply replace v4 with v3 in the API URL if using the v3 version.

Get metadata of NFTs (ERC-721 and ERC-1155) or multitokens (ERC-1155 only) by IDs for a given token address! Our API lets you search for all tokens on:

  • Ethereum - ethereum-mainnet / ethereum-sepolia / ethereum-holesky
  • Base - base-mainnet / base-sepolia
  • Arbitrum - arb-one-mainnet / arb-testnet
  • BNB (Binance) Smart Chain - bsc-mainnet / bsc-testnet
  • Polygon - polygon-mainnet
  • Optimism - optimism-mainnet / optimism-testnet
  • Berachain - berachain-mainnet
  • Unichain - unichain-mainnet / unichain-sepolia
  • Monad - monad-testnet
  • Celo - celo-mainnet / celo-testnet
  • Chiliz - chiliz-mainnet

To get started:

  • Provide a chain name, token address and comma-separated list of IDs. Our API will return relevant metadata about each specified token, including its name, description, image, and more.
  • Aside from the metadata information, the response also contains token types and metadata url minted in each token.
Query Params
string
enum
required

The blockchain to work with.

string
required

The blockchain address of the NFT to get metadata for.

string
required
length ≤ 78

The IDs of the tokens to get metadata for. It is possible to enter list of multiple IDs as a comma separated string.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json